Loading...
Searching...
No Matches
FindCalls.h File Reference

Defines analyses to extract the functions called a function. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::map< std::string, Function > | Halide::Internal::find_direct_calls (const Function &f)
| Construct a map from name to Function definition object for all Halide functions called directly in the definition of the Function f, including in update definitions, update index expressions, and RDom extents.
std::map< std::string, Function > | Halide::Internal::find_transitive_calls (const Function &f)
| Construct a map from name to Function definition object for all Halide functions called directly in the definition of the Function f, or indirectly in those functions' definitions, recursively.
std::map< std::string, Function > | Halide::Internal::build_environment (const std::vector< Function > &funcs)
| Find all Functions transitively referenced by any Function in funcs and return a map of them.
std::vector< Function > | Halide::Internal::called_funcs_in_order_found (const std::vector< Function > &funcs)
| Returns the same Functions as build_environment, but returns a vector of Functions instead, where the order is the order in which the Functions were first encountered.

## Detailed Description

Defines analyses to extract the functions called a function.

Definition in file FindCalls.h.